## Function template visit

boost::log::visit

## Synopsis

    // In header: <boost/log/attributes/value_visitation.hpp>

    template<typename T, typename VisitorT>
      visitation_result
      visit(attribute_name const & name, attribute_value_set const & attrs,
            VisitorT visitor);

## Description

The function applies a visitor to an attribute value from the view. The user has to explicitly specify the type or set of possible types of the attribute value to be visited.

Parameters: |
`name` | The name of the attribute value to visit.
`attrs` | A set of attribute values in which to look for the specified attribute value.
`visitor` | A receiving function object to pass the attribute value to.
Returns: | The result of visitation.